@import (reference) "vars.less";

#cookie-law {

	position: fixed;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: @yellow_color;
	color: @white_color;
	padding: 10px;
	display: flex;
	font-size: 12px;

	>div:nth-of-type(1) {

		flex: 10;

		p:last-of-type {
			margin-bottom: 0px;
		}

		a {
			color: @white_color;
			text-decoration: underline;
		}
	}

	>div:nth-of-type(2) {

		flex: 2;

		a {
			display: inline-block;
			padding: 10px 30px;
			width: 100%;
			box-sizing: border-box;
			text-align: center;
			background-color: @white_color;
			color: @yellow_color;
			text-decoration: none;
			text-transform: uppercase;
			border: 1px solid @yellow_color;
			transition: all 0.5s ease-in-out;

			&:hover {
				background-color: @white_color;
				color: @black_color;
				border-color: @black_color;
			}
		}
	}
}